Package ru.bitel.bgbilling.modules.softline.common.bean

# Class SoftLineProduct

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.softline.common.bean.SoftLineProduct

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SoftLineProduct extends IdTitle
Описание продукта SoftLine

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftLineProduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAmountOfDays()`
  `String`
  `getDescription()`
  `SoftLineSubscriptionPeriodType`
  `getPeriodType()`
  `BigDecimal`
  `getPrice()`
  `int`
  `getProductCategoryId()`
  `int`
  `getServiceId()`
  `String`
  `getSoftLineCode()`
  `void`
  `setAmountOfDays(int amountOfDays)`
  `void`
  `setDescription(String description)`
  `void`
  `setPeriodType(SoftLineSubscriptionPeriodType periodType)`
  `void`
  `setPrice(BigDecimal price)`
  `void`
  `setProductCategoryId(int productCategoryId)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setSoftLineCode(String softLineCode)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SoftLineProduct

    public SoftLineProduct()

- ## Method Details

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getSoftLineCode

    public String getSoftLineCode()

  - ### setSoftLineCode

    public void setSoftLineCode(String softLineCode)

  - ### getPrice

    public BigDecimal getPrice()

  - ### setPrice

    public void setPrice(BigDecimal price)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getPeriodType

    public SoftLineSubscriptionPeriodType getPeriodType()

  - ### setPeriodType

    public void setPeriodType(SoftLineSubscriptionPeriodType periodType)

  - ### getAmountOfDays

    public int getAmountOfDays()

  - ### setAmountOfDays

    public void setAmountOfDays(int amountOfDays)

  - ### getProductCategoryId

    public int getProductCategoryId()

  - ### setProductCategoryId

    public void setProductCategoryId(int productCategoryId)